package Apache::Admin::Config::Expand::ifmodule;
use strict;
use warnings;

sub new {
    bless {}, shift
}

sub expand {
    my ($self, $tree, $d, $repl) = @_;
    if ($d->type eq 'section' && lc($d->name) eq 'ifmodule') {
	my $id = $d->value;
	my $negate = $id =~ s/^!//;
	my $res = $self->module_loaded($tree, $id);
	if ($negate) {
	    $res = !$res;
	}
	if ($res) {
	    push @$repl, $d->select;
	}
	return 1;
    }
    return 0;
}

sub module_loaded {
    my ($self, $tree, $id) = @_;
    return grep {
	(split /\s+/, $_->value)[0] eq $id
    } $tree->directive('loadmodule');
}

1;

