# -*- perl -*-
use lib qw(t lib);
use strict;
use Test;
plan test => 1;

use TestExpand;

my $obj = new TestExpand '-compact';
ok($obj->dump_raw, $obj->dump_expect);

__DATA__
!>httpd.conf
# Test configuration file

#
# ServerType is either inetd, or standalone.  Inetd mode is only supported on
# Unix platforms.
#
ServerType standalone

#
# ServerRoot: The top of the directory tree under which the server's
# configuration, error, and log files are kept.
#
ServerRoot "$server_root"

Include "level1.conf"

PidFile logs/httpd.pid
!>level1.conf
# First-level include file

#
# Timeout: The number of seconds before receives and sends time out.
#
Timeout 300

Include level2.conf

#
# KeepAlive: Whether or not to allow persistent connections (more than
# one request per connection). Set to "Off" to deactivate.
#
KeepAlive On
!>level2.conf
# Second-level include file

#
# MaxKeepAliveRequests: The maximum number of requests to allow
# during a persistent connection. Set to 0 to allow an unlimited amount.
# We recommend you leave this number high, for maximum performance.
#
MaxKeepAliveRequests 100

#
# KeepAliveTimeout: Number of seconds to wait for the next request from the
# same client on the same connection.
#
KeepAliveTimeout 15
!=
ServerType standalone
ServerRoot "$server_root"
Timeout 300
MaxKeepAliveRequests 100
KeepAliveTimeout 15
KeepAlive On
PidFile logs/httpd.pid
!$
